This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 149474 - Automatic service restart after changing "Satellite Tools"->Satellite Configuration without warning
Automatic service restart after changing "Satellite Tools"->Satellite Configu...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
360
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Shannon Hughes
:
Depends On:
Blocks: 147875 202954
  Show dependency treegraph
 
Reported: 2005-02-23 09:37 EST by Lars Herrmann
Modified: 2007-07-31 11:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 22:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lars Herrmann 2005-02-23 09:37:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041115 Epiphany/1.4.4

Description of problem:
When changing the Satellite configuration - I enabled Monitoring - the next page tells me that the services are restarted and I get redirected after 30 seconds.

The restart without any warning is a bad idea - I had kickstarts running and they were interrupted.

Besides this my browser was not redirected back to "Satellite Configuration"

Version-Release number of selected component (if applicable):
Satellite 3.6

How reproducible:
Always

Steps to Reproduce:
1. set up satellite without monitoring
2. activate monitoring in "Satellite Configuration" page
3. result page telling service restart and redirect after 30 seconds
  

Expected Results:  There should be a confirmation page warning the user that this change might interrupt running tasks and maybe even check if there are picked-up actions and running kickstarts.

Additional info:
Comment 1 Nick Hansen 2005-03-02 13:38:14 EST
Yeah, a confirmation page for this sounds like a good idea. Kicking this over to
the web team to take care of it.
Comment 5 Bret McMillan 2005-07-25 22:55:02 EDT
qa contact == shughes
Comment 6 Shannon Hughes 2005-07-27 15:41:12 EDT
looks good, both for enabling and disabling ssl. 

Note You need to log in before you can comment on or make changes to this bug.